Package nl.tudelft.simulation.zmq

## Class ZeroMQException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - nl.tudelft.simulation.zmq.ZeroMQException

All Implemented Interfaces:
  `Serializable`

    public class ZeroMQException
    extends Exception

Exception for the DSOL ZeroMQ bridge.

Copyright (c) 2002-2021 Delft University of Technology, Jaffalaan 5, 2628 BX Delft, the Netherlands. All rights reserved. See for project information https://simulation.tudelft.nl. The DSOL project is distributed under a three-clause BSD-style license, which can be found at https://simulation.tudelft.nl/dsol/3.0/license.html.

Author:
  Peter Jacobs, Alexander Verbraeck
See Also:
  Serialized Form

### Constructor Summary

Constructors
`ZeroMQException()` Create a ZeroMQ Exception.
`ZeroMQException​(String message)` Create a ZeroMQ Exception.
`ZeroMQException​(String message, Throwable cause)` Create a ZeroMQ Exception.
`ZeroMQException​(String message, Throwable cause, boolean enableSuppression, boolean writableStackTrace)` Create a ZeroMQ Exception.
`ZeroMQException​(Throwable cause)` Create a ZeroMQ Exception.

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ZeroMQException

    public ZeroMQException()

Create a ZeroMQ Exception.

#### ZeroMQException

    public ZeroMQException​(String message)

Create a ZeroMQ Exception.

Parameters:
  `message` - String; the message

#### ZeroMQException

    public ZeroMQException​(Throwable cause)

Create a ZeroMQ Exception.

Parameters:
  `cause` - Throwable; the exception that caused the ZeroMQ exception

#### ZeroMQException

    public ZeroMQException​(String message,
                           Throwable cause)

Create a ZeroMQ Exception.

Parameters:
  `message` - String; the message
  `cause` - Throwable; the exception that caused the ZeroMQ exception

#### ZeroMQException

    public ZeroMQException​(String message,
                           Throwable cause,
                           boolean enableSuppression,
                           boolean writableStackTrace)

Create a ZeroMQ Exception.

Parameters:
  `message` - String; the message
  `cause` - Throwable; the exception that caused the ZeroMQ exception
  `enableSuppression` - boolean; to enable suppressions or not
  `writableStackTrace` - boolean; to have a writable stack trace or not